Package org.apache.aries.jax.rs.whiteboard.internal.cxf

## Class PromiseAwareJAXRSInvoker

- java.lang.Object
- - org.apache.cxf.service.invoker.AbstractInvoker
  - - org.apache.cxf.jaxrs.JAXRSInvoker
    - - org.apache.aries.jax.rs.whiteboard.internal.cxf.PromiseAwareJAXRSInvoker

All Implemented Interfaces:
  `org.apache.cxf.service.invoker.Invoker`

    public class PromiseAwareJAXRSInvoker
    extends org.apache.cxf.jaxrs.JAXRSInvoker

### Constructor Summary

Constructors
`PromiseAwareJAXRSInvoker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.cxf.jaxrs.impl.AsyncResponseImpl` `checkFutureResponse​(org.apache.cxf.message.Message inMessage, Object result)` OSGi promises are a great way to do asynchronous work, and should be handled natively just like a CompletionStage

### Methods inherited from class org.apache.cxf.jaxrs.JAXRSInvoker

`getActualServiceObject, getMethodToInvoke, getServiceObject, getTemplateValues, invoke, invoke`

### Methods inherited from class org.apache.cxf.service.invoker.AbstractInvoker

`adjustMethodAndParams, checkSuspendedInvocation, createFault, getMostSpecificMethod, insertExchange, invoke, isJdkDynamicProxy, performInvocation, releaseServiceObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PromiseAwareJAXRSInvoker

    public PromiseAwareJAXRSInvoker()

### Method Detail

#### checkFutureResponse

    protected org.apache.cxf.jaxrs.impl.AsyncResponseImpl checkFutureResponse​(org.apache.cxf.message.Message inMessage,
                                                                              Object result)

OSGi promises are a great way to do asynchronous work, and should be handled natively just like a CompletionStage

Overrides:
  `checkFutureResponse` in class `org.apache.cxf.jaxrs.JAXRSInvoker`